Bug 250897 - open(3) declaration broken
Summary: open(3) declaration broken
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-04 19:14 UTC by Enrico Scholz
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-05 17:58:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2007-08-04 19:14:03 UTC
Description of problem:

The open(3) declaration is broken and code like

|  fd = open(file, O_RDONLY);

fails with

| src/vlimit.c: In function 'readFile':
| src/vlimit.c:280: warning: ISO C forbids empty initializer braces
| src/vlimit.c:280: error: zero or negative size array '___arr'
| src/vlimit.c:280: warning: ISO C forbids zero-size array '__open_too_many_args'
| src/vlimit.c:280: warning: ISO C forbids braced-groups within expressions

and lot of bogus "ISO C forbids ..." warnings are cluttering the build.

See http://koji.fedoraproject.org/koji/getfile?taskID=88648&name=build.log
for full log.


Version-Release number of selected component (if applicable):

glibc-2.6.90-2

Comment 1 Jakub Jelinek 2007-08-05 17:58:38 UTC
Should be fixed in glibc-2.6.90-4.


Note You need to log in before you can comment on or make changes to this bug.